#qr-labels
A simple service for making QR labels with URL links that can be dynamically configured.

##Intended use
A set of QR codes is generated and printed as generic link-labels. The labels are standard URLs and work with generic QR scanninc apps. Those URLs point to the address of the qr-label server and provide a short, unique identification tag. When a label is scanned for the first time, the system allows to assign a link to that tag. Once the link is assigned, the service will always issue a HTTP 302 redirect on that unique tag, to instantly display the intended page when the tag is scanned.

"Blank" QR tags are generated and printed in advance by the system administartor. Anyone holding such a blank tag can assign a link to it without any user account registartion. The codes not sequential, to discourage any attempts to "guess" a link. An administrator can view all created links, as well as edit them.

##Requirements
Python, and the following packages:

* flask
* flask-login
* qrcode
* pillow

##Work in progress
The system is currently under initial development, and is **not** operational.